## speed speed — Set speed/pitch on audio/raw streams (resampler) |

## Synopsis

                        GstSpeed;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstSpeed

## Properties

      "speed"                    gfloat                : Read / Write / Construct

## Description

Plays an audio stream at a different speed.

Do not use this element. Either use the 'pitch' element, or do a seek with a non-1.0 rate parameter, this will have the same effect as using the speed element (but relies on the decoder/demuxer to handle this correctly, also requires a fairly up-to-date gst-plugins-base, as of February 2007).

### Example launch line

    1
    gst-launch filesrc location=test.ogg ! decodebin ! audioconvert ! speed speed=1.5 ! audioconvert ! audioresample ! autoaudiosink

Plays an .ogg file at 1.5x speed.

Last reviewed on 2007-02-26 (0.10.4.1)

## Details

### GstSpeed

    typedef struct _GstSpeed GstSpeed;

## Property Details

### The `"speed"` property

      "speed"                    gfloat                : Read / Write / Construct

speed.

Allowed values: [0.1,40]

Default value: 1